Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JInternalFrame.AccessibleJInternalFrame

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JComponent.AccessibleJComponent
                  |
                  +--javax.swing.JInternalFrame.AccessibleJInternalFrame

protected class JInternalFrame.AccessibleJInternalFrame
extends JComponent.AccessibleJComponent
implements AccessibleValue

The class used to obtain the accessible role for this object.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`protected` | `JInternalFrame.AccessibleJInternalFrame()`

Method Summary
`java.lang.String` | `getAccessibleName()` Get the accessible name of this object.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleValue` | `getAccessibleValue()` Get the AccessibleValue associated with this object if one exists.
`java.lang.Number` | `getCurrentAccessibleValue()` Get the value of this object as a Number.
`java.lang.Number` | `getMaximumAccessibleValue()` Get the maximum value of this object as a Number.
`java.lang.Number` | `getMinimumAccessibleValue()` Get the minimum value of this object as a Number.
`boolean` | `setCurrentAccessibleValue(java.lang.Number n)` Set the value of this object as a Number.

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleParent, getAccessibleStateSet, getBackground, getBorderTitle, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleAction, getAccessibleSelection, getAccessibleText, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JInternalFrame.AccessibleJInternalFrame

    protected JInternalFrame.AccessibleJInternalFrame()

Method Detail

### getAccessibleName

    public java.lang.String getAccessibleName()

  Get the accessible name of this object. This should almost never return java.awt.Component.getName(), as that generally isn't a localized name, and doesn't have meaning for the user. If the object is fundamentally a text object (e.g. a menu item), the accessible name should be the text of the object (e.g. "save"). If the object has a tooltip, the tooltip text may also be an appropriate String to return.
  Returns:
    the localized name of the object -- can be null if this object does not have a name
  Overrides:
    getAccessibleName in class JComponent.AccessibleJComponent
  See Also:
    `AccessibleContext.setAccessibleName(java.lang.String)`

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Returns:
    an instance of AccessibleRole describing the role of the object
  Overrides:
    getAccessibleRole in class JComponent.AccessibleJComponent
  See Also:
    `AccessibleRole`

### getAccessibleValue

    public AccessibleValue getAccessibleValue()

  Get the AccessibleValue associated with this object if one exists. Otherwise return null.
  Overrides:
    getAccessibleValue in class AccessibleContext

### getCurrentAccessibleValue

    public java.lang.Number getCurrentAccessibleValue()

  Get the value of this object as a Number.
  Specified by:
    getCurrentAccessibleValue in interface AccessibleValue
  Returns:
    value of the object -- can be null if this object does not have a value

### setCurrentAccessibleValue

    public boolean setCurrentAccessibleValue(java.lang.Number n)

  Set the value of this object as a Number.
  Specified by:
    setCurrentAccessibleValue in interface AccessibleValue
  Returns:
    True if the value was set.

### getMinimumAccessibleValue

    public java.lang.Number getMinimumAccessibleValue()

  Get the minimum value of this object as a Number.
  Specified by:
    getMinimumAccessibleValue in interface AccessibleValue
  Returns:
    Minimum value of the object; null if this object does not have a minimum value

### getMaximumAccessibleValue

    public java.lang.Number getMaximumAccessibleValue()

  Get the maximum value of this object as a Number.
  Specified by:
    getMaximumAccessibleValue in interface AccessibleValue
  Returns:
    Maximum value of the object; null if this object does not have a maximum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.